OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.3

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - p -

- Packet() : Packet
- PacketReader() : PacketReader
- Packets() : CargoList< Tinst, Tcont >
- PacketWriter() : PacketWriter
- PageElementOrderSorter() : StoryBookWindow
- PageOrderSorter() : StoryBookWindow
- Paint() : OpenGLBackend, VideoDriver, VideoDriver_Allegro, VideoDriver_CocoaOpenGL, VideoDriver_CocoaQuartz, VideoDriver_SDL_Default, VideoDriver_SDL_OpenGL, VideoDriver_Win32GDI
- PaletteAnimate() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_8bppBase, Blitter_Null
- PaletteChanged() : VideoDriver_Win32Base, VideoDriver_Win32GDI
- Parse() : ServerAddress
- ParseFile() : FileStringReader, StringReader
- ParsePacketSize() : Packet
- ParseSingleValue() : BoolSettingDesc, OneOfManySettingDesc
- ParseValue() : BoolSettingDesc, IntSettingDesc, ListSettingDesc, ManyOfManySettingDesc, NullSettingDesc, OneOfManySettingDesc, SettingDesc, StringSettingDesc
- PassOnFlow() : FlowStatMap
- Path() : Path
- Pause() : AI, Game, ScriptInstance
- Paused() : PerformanceMeasurer
- PayFinalDelivery() : CargoPayment
- PayTransfer() : CargoPayment
- PBSTileInfo() : PBSTileInfo
- Peek() : StringConsumer
- PeekChar() : StringConsumer
- PeekCharIf() : StringConsumer
- PeekCharIfIn() : StringConsumer
- PeekCharIfNotIn() : StringConsumer
- PeekDWord() : ByteReader
- PeekIf() : StringConsumer
- PeekIntegerBase() : StringConsumer
- PeekSint16LE() : StringConsumer
- PeekSint32LE() : StringConsumer
- PeekSint64LE() : StringConsumer
- PeekSint8() : StringConsumer
- PeekUint16LE() : StringConsumer
- PeekUint32LE() : StringConsumer
- PeekUint64LE() : StringConsumer
- PeekUint8() : StringConsumer
- PeekUntil() : StringConsumer
- PeekUntilChar() : StringConsumer
- PeekUntilCharIn() : StringConsumer
- PeekUntilCharNotIn() : StringConsumer
- PeekUntilUtf8() : StringConsumer
- PeekUtf8() : StringConsumer
- PeekUtf8If() : StringConsumer
- PerformanceAccumulator() : PerformanceAccumulator
- PerformanceData() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- PerformanceMeasurer() : PerformanceMeasurer
- PerformanceSorter() : PerformanceLeagueWindow
- PeriodsInTransit() : CargoList< Tinst, Tcont >
- PersistentStorage() : PersistentStorage
- PfCalcCost() : CYapfCostRailT< Types >, CYapfCostRoadT< Types >, CYapfCostShipT< Types >
- PfCalcEstimate() : CYapfDestinationAnyDepotRailT< Types >, CYapfDestinationAnyDepotRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfDestinationTileOrStationRailT< Types >, CYapfDestinationTileRoadT< Types >, CYapfDestinationTileWaterT< Types >
- PfDetectDestination() : CYapfDestinationAnyDepotRailT< Types >, CYapfDestinationAnyDepotRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfDestinationTileOrStationRailT< Types >, CYapfDestinationTileRoadT< Types >, CYapfDestinationTileWaterT< Types >
- PfFollowNode() : CYapfFollowAnyDepotRailT< Types >, CYapfFollowAnySafeTileRailT< Types >, CYapfFollowRailT< Types >, CYapfFollowRoadT< Types >, CYapfFollowShipT< Types >
- PfGetSettings() : CYapfBaseT< Types >
- PfNodeCacheFetch() : CYapfSegmentCostCacheGlobalT< Types >, CYapfSegmentCostCacheNoneT< Types >
- PixelToTile() : SmallMapWindow
- PlaceIndustry() : IndustryCargoesWindow
- Play() : MusicSystem
- PlayChannelFrame() : MpsMachine
- PlayFrame() : MpsMachine
- PlayInto() : MpsMachine
- PlayLeaveStationSound() : Ship, Train, Vehicle
- PlaylistAdd() : MusicSystem
- PlaylistClear() : MusicSystem
- PlaylistRemove() : MusicSystem
- PlaySong() : MusicDriver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32
- PollEvent() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- PoolBase() : PoolBase
- Pop() : HashTable< Titem, Thash_bits_ >
- PopBestOpenNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- PopCargo() : VehicleCargoList
- PopColour() : FontState
- PopOpenNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- PopulateSystemSprites() : VideoDriver, VideoDriver_Cocoa, VideoDriver_CocoaOpenGL, VideoDriver_SDL_OpenGL
- Position() : ParagraphLayouter::Position
- PositionForViewport() : IntroGameViewportCommand
- Post() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), false >, CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- PostDestructor() : BaseStation, Company, Industry, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >, Town
- PostFromNet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- Postprocess() : CargoRemoval< Tsource >
- PostResize() : Blitter, Blitter_32bppAnim
- PowerChanged() : GroundVehicle< T, Type >
- PreDestructor() : Vehicle
- PredictNextOrder() : LinkRefresher
- PrepareRefitAction() : PrepareRefitAction
- PrepareToRead() : Packet
- PrepareToSend() : Packet
- Preprocess() : CargoMovement< Tsource, Tdest >, CargoRemoval< Tsource >
- Prev() : IcuStringIterator, MusicSystem, OSXStringIterator, StringIterator, UniscribeStringIterator
- Previous() : SpecializedVehicle< T, Type >, Vehicle
- PreviousShared() : Vehicle
- PrevNextSign() : SignWindow
- Print() : Gamelog
- PrintConsole() : Gamelog
- PrintDebug() : Gamelog
- PrintFunc() : Squirrel
- ProcessHighlightedInvalidations() : Window
- ProcessRegisters() : SpriteLayoutProcessor, TileLayoutSpriteGroup
- ProcessScheduledInvalidations() : Window
- ProcessScheduledResize() : Window
- PruneIntermediateNodeBranch() : CYapfRailBase< Types >
- PSAWithParameter() : NIHelper, NIHTown
- PtInExtendedRect() : StationRect
- Push() : HashTable< Titem, Thash_bits_ >
- PushColour() : FontState
- PushFlow() : MultiCommodityFlow
- Put() : BaseStringBuilder
- PutBuffer() : BaseStringBuilder, InPlaceBuilder, StringBuilder
- PutChar() : BaseStringBuilder
- PutIntegerBase() : BaseStringBuilder
- PutSint16LE() : BaseStringBuilder
- PutSint32LE() : BaseStringBuilder
- PutSint64LE() : BaseStringBuilder
- PutSint8() : BaseStringBuilder
- PutUint16LE() : BaseStringBuilder
- PutUint32LE() : BaseStringBuilder
- PutUint64LE() : BaseStringBuilder
- PutUint8() : BaseStringBuilder
- PutUtf8() : BaseStringBuilder